dpkg-query(1)

NOM
dpkg-query - Un outil pour interroger la base de données de dpkg

SYNOPSIS
dpkg-query [option...] commande

DESCRIPTION
dpkg-query est un outil pour afficher des informations sur les paquets connus par la base de données de dpkg.

COMMANDES

-l, --list [package-name-pattern...]
    Affiche les paquets correspondants au motif donné. Si aucun nom-paquet-motif n'est indiqué, affiche tous les paquets de /var/lib/dpkg/status, sauf ceux qui ne sont pas installés (c'est à dire ceux qui ont été précédemment purgés). Les métacaractères ordinaires de l'interpréteur de commandes sont autorisés dans nom-paquet-motif. Il faudra sans doute mettre nom-paquet-motif entre apostrophes pour éviter l'expansion des noms de fichier par l'interpréteur de commandes. Par exemple, tous les paquets dont le nom commence par « libc6 » seront affichés par la commande :
    dpkg-query -l 'libc6*'
    Les trois premières colonnes affichées montrent dans l'ordre : l'action souhaitée, l'état du paquet et les erreurs. Action souhaitée :
      u = Inconnu (Unknown)
      i = Installer (Install)
      h = Garder (Hold)
      r = Supprimer (Remove)
      p = Purger (Purge)
    État du paquet :
      n = Non installé (Not-installed
    )  c = Fichiers de configuration (Config-files)
      H = Semi-installé (Half-installed)
      U = Décompressé (Unpacked)
      F = Semi-configuré (Half-configured)
      W = Attente de déclenchements (Triggers-awaiting)
      t = Déclenchements en attente (Triggers-pending)
      i = Installé (Installed)
    Drapeaux d'erreur :
      <empty> = (none)
      R = Reinst-required
    Un état en majuscules ou une lettre d'erreur indiquent que le paquet peut provoquer des problèmes graves. Veuillez consulter dpkg(1) à propos des états et drapeaux ci-dessus. On ne peut pas configurer le format de sortie de cette option. Il s'adapte automatiquement à la largeur du terminal. Ce format est destiné aux humains et la machine le lit mal. Voyez -W (--show) et --showformat pour une possible configuration de ce format.

-W, --show [package-name-pattern...]
    Tout comme l'option --list, cette option affiche la liste des paquets qui correspondent au motif donné. La sortie peut cependant être formatée en utilisant l'option --showformat. Le format de sortie par défaut est le suivant : une ligne pour chaque paquet, avec le nom et la version installée, séparé par une tabulation.

-s, --status nom-paquet ...
    Donne l'état du paquet indiqué. C'est simplement l'affichage de l'entrée de la base de données concernant les états des paquets installés.

-L, --listfiles nom-paquet...
    Affiche la liste des fichiers du nom-paquet installés sur le système. Il faut remarquer cependant que les fichiers créés par les scripts d'installation particuliers au paquet ne sont pas affichés.

-c, --control-path nom-paquet [fichier-contrôle]
    Affiche les chemins pour les fichiers de contrôle installés sur votre système pour nom-paquet. Si fichier-contrôle est indiqué, seul le chemin pour ce fichier de contrôle sera affiché, s'il est présent. Attention : cette commande est semi-publique et ne devrait être utilisée qu'en dernier ressort et si aucune autre interface n'est disponible. Elle pourrait devenir obsolète dans le futur si de meilleures interfaces sont mises en place ou si les défauts actuels d'architecture sont résolus.

-S, --search motif-de-nom-a-rechercher...
    Recherche un nom de fichier dans les paquets installés. On peut utiliser dans le motif tous les métacaractères de l'interpréteur de commandes. Cette commande ne donne pas les fichiers supplémentaires créés par les scripts du responsable de paquet, ni les alternatives.

-p, --print-avail nom-paquet...
    Affiche les détails relatifs à nom-paquet, tels que présents dans /var/lib/dpkg/available. Les utilisateurs des outils basés sur APT devraient plutôt utiliser la commande apt-cache show nom-paquet car le fichier available n'est tenu à jour que lorsque dselect est utilisé.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

-f, --showformat=format
    Cette option sert à spécifier le format de sortie de l'option --show. Ce format sera utilisé pour chaque paquet listé. Dans la chaîne, “\” déspécifie le caractère
        \n  nouvelle ligne
        \r  retour chariot
        \t  tabulation
    “\” avant un caractère supprime la signification du caractère qui suit. C'est utile pour les caractères “\” and “$”. L'information relative à un paquet peut être indiquée en insérant des appels de variables spécifiant des champs du paquet avec la syntaxe suivante : “${field[;width]}”. Les champs sont alignés à droite, à moins que la largeur ne soit négative, auquel cas ils sont alignés à gauche. Les champs suivants sont reconnus, mais pas nécessairement disponibles dans le fichier d'état (seuls les champs internes ou les champs conservés avec le paquet binaire le sont) :
        Architecture
        Bugs
        Conffiles (interne)
        Config-Version (interne)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (interne, lié à dselect)
        Homepage
        Installed-Size
        MD5sum (interne, lié à dselect)
        MSDOS-Filename (interne, lié à dselect)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsolète)
        Section
        Size (interne, lié à dselect)
        Source
        Status (interne)
        Suggests
        Tag (pas dans le .deb mais dans les fichiers Packages d'APT)
        Triggers-Awaited (interne)
        Triggers-Pending (interne)
        Version
    Le format par défaut est le suivant : “${Package}\t${Version}\n”. Tous les autres champs du fichier status, par exemple des champs définis par l'utilisateur, peuvent être demandés. Ils seront affichés mais sans aucune mise en forme et aucune vérification n'est faite. Pour obtenir le nom du responsable de dpkg et la version installée, exécutez par exemple :
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

CODE DE SORTIE

0   La requête demandée s'est correctement déroulée.

1   Des problèmes sont survenus lors de l'analyse de la ligne de commande ou bien pendant l'exécution de la requête. Cela peut être une absence de fichier ou de paquet (sauf pour --control-path).

ENVIRONNEMENT

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

COLUMNS
    Ce réglage influence la sortie de l'option --list en modifiant la largeur d'affichage.

AUTEUR
Copyright © 2001 Wichert Akkerman

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.